Package org.jmock.core

# Class DynamicMockError

java.lang.Object
java.lang.Throwable
java.lang.Error
junit.framework.AssertionFailedError
org.jmock.core.DynamicMockError

All Implemented Interfaces:
  `Serializable`

public class DynamicMockError extends junit.framework.AssertionFailedError

Since:
  1.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final InvocationDispatcher`
`dispatcher`
`final DynamicMock`
`dynamicMock`
`final Invocation`
`invocation`

## Constructor Summary

Constructors
Constructor
Description
`DynamicMockError(DynamicMock dynamicMock, Invocation invocation, InvocationDispatcher dispatcher, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`StringBuffer`
`writeTo(StringBuffer buffer)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dynamicMock

public final DynamicMock dynamicMock

### invocation

public final Invocation invocation

### dispatcher

public final InvocationDispatcher dispatcher

## Constructor Details

### DynamicMockError

public DynamicMockError(DynamicMock dynamicMock, Invocation invocation, InvocationDispatcher dispatcher, String message)

## Method Details

### writeTo

public StringBuffer writeTo(StringBuffer buffer)

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`